Bug 1004970 - Split gavl plugins into separate package
Split gavl plugins into separate package
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: frei0r-plugins (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 18:11 EDT by David King
Modified: 2013-10-01 17:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 17:31:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch (2.24 KB, application/mbox)
2013-09-05 18:11 EDT, David King
no flags Details

  None (edit)
Description David King 2013-09-05 18:11:53 EDT
Created attachment 794530 [details]
spec file patch

Cheese is on the live CD, and depends on gnome-video-effects, which in turn depends on frei0r-plugins and that depends on gavl. Although Cheese uses frei0r-plugins, it does not use any of the gavl plugins. If those are split off into a separate package, gnome-video-effects could depend only on frei0r-plugins and the live image would get a bit smaller.

I made the change and did a scratch build in Koji which worked fine: http://koji.fedoraproject.org/koji/taskinfo?taskID=5902734

The frei0r-plugins-gavl package is about 3 MB when installed, so this should save a useful amount of space.
Comment 1 Nicolas Chauvet (kwizart) 2013-09-08 05:08:30 EDT
I'm not sure to understand why this package (frei0r-plugins) found itself at the edge of the boundary of each LiveCD.
If you don't want frei0r-plugins, please disable the requirement of the package.

The plugins are meant to be dlopened, so it shouldn't be a hard requirement.
I also find completely irrelevant to consider gnome-video-effects as part of any LiveCD (it shouldn't be a problem on DVD or USB).

So I'm about to reject this change along with the previous opencv split.

Note You need to log in before you can comment on or make changes to this bug.